Package twisted :: Package internet :: Module pollreactor

[show private | hide private]
[frames | no frames]

## Module twisted.internet.pollreactor

A poll() based implementation of the twisted main loop.

To install the event loop (and you should do this before any connections, listeners or connectors are added):

       from twisted.internet import pollreactor
       pollreactor.install()

API Stability: stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`PollReactor` | A reactor that uses poll(2).

Function Summary
| ``install`()` Install the poll() reactor.

Variable Summary
`int` | `POLL_DISCONNECTED`
`poll` | `poller`
`dictionary` | `reads`
`dictionary` | `selectables`
`dictionary` | `writes`

Function Details

### install()

Install the poll() reactor.

Variable Details

### POLL_DISCONNECTED

  Type:
    `int`
  Value:

        56

### poller

  Type:
    `poll`
  Value:

        <poll object at 0x8596d48>

### reads

  Type:
    `dictionary`
  Value:

        {}

### selectables

  Type:
    `dictionary`
  Value:

        {}

### writes

  Type:
    `dictionary`
  Value:

        {}

Generated by Epydoc 1.1 on Sat Feb 15 21:19:05 2003 | http://epydoc.sf.net